from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XMultipleOperation(XInterface, Protocol):
    def setTableOperation(self, aFormulaRange: CellRangeAddress, nMode: TableOperationMode, aColumnCell: CellAddress, aRowCell: CellAddress) -> None: ...
